//  @import com.hedgehoglab.application.model.BaseModel;

function ResultsModel(scope){
    BaseModel.call(this,scope);
    var _model=null;

    this.model=function(model){
        
        if(arguments.length>0){
			_model=model;
			this.raise_event('model_changed',{
				model: _model
			});
		}
		return _model;
	};
};